<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="..\packages\EntityFramework.6.4.4\build\EntityFramework.props" Condition="Exists('..\packages\EntityFramework.6.4.4\build\EntityFramework.props')" />
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{24D7760E-662A-47E4-B729-B70126C24A31}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>EgtBEAMWALL.DataLayer</RootNamespace>
    <AssemblyName>EgtBEAMWALL.DataLayer</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="BouncyCastle.Crypto, Version=1.9.0.0, Culture=neutral, PublicKeyToken=0e99375e54769942, processorArchitecture=MSIL">
      <HintPath>..\packages\Portable.BouncyCastle.1.9.0\lib\net40\BouncyCastle.Crypto.dll</HintPath>
    </Reference>
    <Reference Include="DotNetZip, Version=1.16.0.0, Culture=neutral, PublicKeyToken=6583c7c814667745, processorArchitecture=MSIL">
      <HintPath>..\packages\DotNetZip.1.16.0\lib\net40\DotNetZip.dll</HintPath>
    </Reference>
    <Reference Include="EgtWPFLib5">
      <HintPath>..\ExtLibs\EgtWPFLib5.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.4.4\lib\net45\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework.SqlServer, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.4.4\lib\net45\EntityFramework.SqlServer.dll</HintPath>
    </Reference>
    <Reference Include="Google.Protobuf, Version=3.21.9.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
      <HintPath>..\packages\Google.Protobuf.3.21.9\lib\net45\Google.Protobuf.dll</HintPath>
    </Reference>
    <Reference Include="K4os.Compression.LZ4, Version=1.3.5.0, Culture=neutral, PublicKeyToken=2186fa9121ef231d, processorArchitecture=MSIL">
      <HintPath>..\packages\K4os.Compression.LZ4.1.3.5\lib\net462\K4os.Compression.LZ4.dll</HintPath>
    </Reference>
    <Reference Include="K4os.Compression.LZ4.Streams, Version=1.3.5.0, Culture=neutral, PublicKeyToken=2186fa9121ef231d, processorArchitecture=MSIL">
      <HintPath>..\packages\K4os.Compression.LZ4.Streams.1.3.5\lib\net462\K4os.Compression.LZ4.Streams.dll</HintPath>
    </Reference>
    <Reference Include="K4os.Hash.xxHash, Version=1.0.8.0, Culture=neutral, PublicKeyToken=32cd54395057cec3, processorArchitecture=MSIL">
      <HintPath>..\packages\K4os.Hash.xxHash.1.0.8\lib\net462\K4os.Hash.xxHash.dll</HintPath>
    </Reference>
    <Reference Include="MySql.Data, Version=8.0.21.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d, processorArchitecture=MSIL">
      <HintPath>..\packages\MySql.Data.8.0.21\lib\net452\MySql.Data.dll</HintPath>
    </Reference>
    <Reference Include="MySql.Data.EntityFramework, Version=8.0.21.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d, processorArchitecture=MSIL">
      <HintPath>..\packages\MySql.Data.EntityFramework.8.0.21\lib\net452\MySql.Data.EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=13.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.13.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="NLog, Version=5.0.0.0, Culture=neutral, PublicKeyToken=5120e14c03d0593c, processorArchitecture=MSIL">
      <HintPath>..\packages\NLog.5.0.1\lib\net46\NLog.dll</HintPath>
    </Reference>
    <Reference Include="Renci.SshNet, Version=2016.1.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106, processorArchitecture=MSIL">
      <HintPath>..\packages\SSH.NET.2016.1.0\lib\net40\Renci.SshNet.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Buffers, Version=4.0.3.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Buffers.4.5.1\lib\net461\System.Buffers.dll</HintPath>
    </Reference>
    <Reference Include="System.ComponentModel" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Configuration.Install" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Drawing.Design" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.IO.Pipelines, Version=5.0.0.2, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.IO.Pipelines.5.0.2\lib\net461\System.IO.Pipelines.dll</HintPath>
    </Reference>
    <Reference Include="System.Management" />
    <Reference Include="System.Memory, Version=4.0.1.2, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Memory.4.5.5\lib\net461\System.Memory.dll</HintPath>
    </Reference>
    <Reference Include="System.Numerics" />
    <Reference Include="System.Numerics.Vectors, Version=4.1.4.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Numerics.Vectors.4.5.0\lib\net46\System.Numerics.Vectors.dll</HintPath>
    </Reference>
    <Reference Include="System.Runtime.CompilerServices.Unsafe, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Runtime.CompilerServices.Unsafe.6.0.0\lib\net461\System.Runtime.CompilerServices.Unsafe.dll</HintPath>
    </Reference>
    <Reference Include="System.Security" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.ServiceProcess" />
    <Reference Include="System.Threading.Tasks.Extensions, Version=4.2.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Threading.Tasks.Extensions.4.5.4\lib\net461\System.Threading.Tasks.Extensions.dll</HintPath>
    </Reference>
    <Reference Include="System.Transactions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="Ubiety.Dns.Core, Version=2.2.1.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d, processorArchitecture=MSIL">
      <HintPath>..\packages\MySql.Data.8.0.21\lib\net452\Ubiety.Dns.Core.dll</HintPath>
    </Reference>
    <Reference Include="Zstandard.Net, Version=1.1.7.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d, processorArchitecture=MSIL">
      <HintPath>..\packages\MySql.Data.8.0.21\lib\net452\Zstandard.Net.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AdminContext.cs" />
    <Compile Include="DatabaseModels\UserPrivModel.cs" />
    <Compile Include="DbConfig.cs" />
    <Compile Include="Controllers\LogMachineController.cs" />
    <Compile Include="Controllers\DbController.cs" />
    <Compile Include="Controllers\LogSupportController.cs" />
    <Compile Include="Controllers\PartController .cs" />
    <Compile Include="Controllers\StatusMapController.cs" />
    <Compile Include="Controllers\ProdController.cs" />
    <Compile Include="Controllers\MachGroupController.cs" />
    <Compile Include="Controllers\ProjController.cs" />
    <Compile Include="Controllers\BTLPartController.cs" />
    <Compile Include="DatabaseContext.cs" />
    <Compile Include="DatabaseModels\LogSupportModel.cs" />
    <Compile Include="DatabaseModels\PartModel.cs" />
    <Compile Include="DatabaseModels\BTLPartModel.cs" />
    <Compile Include="DatabaseModels\ProdModel.cs" />
    <Compile Include="DatabaseModels\LogMachineModel.cs" />
    <Compile Include="DatabaseModels\ProjModel.cs" />
    <Compile Include="DatabaseModels\MachGroupModel.cs" />
    <Compile Include="DatabaseModels\StatusMapModel.cs" />
    <Compile Include="DbManager.cs" />
    <Compile Include="Migrations\202104150749157_FullDbInit.cs" />
    <Compile Include="Migrations\202104150749157_FullDbInit.designer.cs">
      <DependentUpon>202104150749157_FullDbInit.cs</DependentUpon>
    </Compile>
    <Compile Include="Migrations\202104231625149_LogMachineUpgrade.cs" />
    <Compile Include="Migrations\202104231625149_LogMachineUpgrade.designer.cs">
      <DependentUpon>202104231625149_LogMachineUpgrade.cs</DependentUpon>
    </Compile>
    <Compile Include="Migrations\202104301636100_StatusMap.cs" />
    <Compile Include="Migrations\202104301636100_StatusMap.designer.cs">
      <DependentUpon>202104301636100_StatusMap.cs</DependentUpon>
    </Compile>
    <Compile Include="Migrations\202105051121209_renameIndex.cs" />
    <Compile Include="Migrations\202105051121209_renameIndex.designer.cs">
      <DependentUpon>202105051121209_renameIndex.cs</DependentUpon>
    </Compile>
    <Compile Include="Migrations\202107151001537_AddBwType.cs" />
    <Compile Include="Migrations\202107151001537_AddBwType.designer.cs">
      <DependentUpon>202107151001537_AddBwType.cs</DependentUpon>
    </Compile>
    <Compile Include="Migrations\202109141058345_AddMachine2ProjProd.cs" />
    <Compile Include="Migrations\202109141058345_AddMachine2ProjProd.designer.cs">
      <DependentUpon>202109141058345_AddMachine2ProjProd.cs</DependentUpon>
    </Compile>
    <Compile Include="Migrations\202207051703296_UpgradeLockModel.cs" />
    <Compile Include="Migrations\202207051703296_UpgradeLockModel.designer.cs">
      <DependentUpon>202207051703296_UpgradeLockModel.cs</DependentUpon>
    </Compile>
    <Compile Include="Migrations\202306081452095_UpdateProjModel.cs" />
    <Compile Include="Migrations\202306081452095_UpdateProjModel.designer.cs">
      <DependentUpon>202306081452095_UpdateProjModel.cs</DependentUpon>
    </Compile>
    <Compile Include="Migrations\202308241516227_AddProdStatusVarAndIndex.cs" />
    <Compile Include="Migrations\202308241516227_AddProdStatusVarAndIndex.designer.cs">
      <DependentUpon>202308241516227_AddProdStatusVarAndIndex.cs</DependentUpon>
    </Compile>
    <Compile Include="Migrations\202308250853396_AddProjArchivedField.cs" />
    <Compile Include="Migrations\202308250853396_AddProjArchivedField.designer.cs">
      <DependentUpon>202308250853396_AddProjArchivedField.cs</DependentUpon>
    </Compile>
    <Compile Include="Migrations\Configuration.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Utils.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
    <None Include="NLog.config">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\EgtBEAMWALL.Core\EgtBEAMWALL.Core.vbproj">
      <Project>{f22835a1-83d8-4334-91bb-baaeb9cf59b1}</Project>
      <Name>EgtBEAMWALL.Core</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Migrations\202104150749157_FullDbInit.resx">
      <DependentUpon>202104150749157_FullDbInit.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Migrations\202104231625149_LogMachineUpgrade.resx">
      <DependentUpon>202104231625149_LogMachineUpgrade.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Migrations\202104301636100_StatusMap.resx">
      <DependentUpon>202104301636100_StatusMap.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Migrations\202105051121209_renameIndex.resx">
      <DependentUpon>202105051121209_renameIndex.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Migrations\202107151001537_AddBwType.resx">
      <DependentUpon>202107151001537_AddBwType.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Migrations\202109141058345_AddMachine2ProjProd.resx">
      <DependentUpon>202109141058345_AddMachine2ProjProd.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Migrations\202207051703296_UpgradeLockModel.resx">
      <DependentUpon>202207051703296_UpgradeLockModel.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Migrations\202306081452095_UpdateProjModel.resx">
      <DependentUpon>202306081452095_UpdateProjModel.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Migrations\202308241516227_AddProdStatusVarAndIndex.resx">
      <DependentUpon>202308241516227_AddProdStatusVarAndIndex.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Migrations\202308250853396_AddProjArchivedField.resx">
      <DependentUpon>202308250853396_AddProjArchivedField.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PostBuildEvent>copy $(TargetPath) c:\EgtProg\EgtBEAMWALL\EgtBEAMWALL.DataLayer.dll</PostBuildEvent>
  </PropertyGroup>
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Use NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\packages\EntityFramework.6.4.4\build\EntityFramework.props')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\EntityFramework.6.4.4\build\EntityFramework.props'))" />
    <Error Condition="!Exists('..\packages\EntityFramework.6.4.4\build\EntityFramework.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\EntityFramework.6.4.4\build\EntityFramework.targets'))" />
  </Target>
  <Import Project="..\packages\EntityFramework.6.4.4\build\EntityFramework.targets" Condition="Exists('..\packages\EntityFramework.6.4.4\build\EntityFramework.targets')" />
</Project>